Page MenuHomePhabricator

Semantic Forms, HeaderTabs and WikiEditor not working together well with IE
Closed, DeclinedPublic

Description

[Error] TypeError: 'undefined' is not an object (evaluating 'jQuery("#sfForm").data("SemanticForms").initFunctions') Error
log (load.php, line 145)

A regular wiki page with Headertabs works as intended. Removing <headertabs/> from my form removes the error.

1.24wmf4, SMW 1.9.2, Semantic Forms 2.7. Header Tabs 0.9.3 (6587ac1). Wikieditor 0.4


Version: unspecified
Severity: normal

Details

Reference
bz66201

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:17 AM
bzimport set Reference to bz66201.
Ckoerner created this task.Jun 5 2014, 5:14 PM

I should clarify, what happens is that error is thrown and any instances of editor=wikieditor are collapsed. Contributors see the WikiEditor toolbar, but the editable content area is not displayed.

Created attachment 15651
Screenshot of issue in action

Example of bug. This is in IE 9 with Windows 7.

Attached:

Created attachment 15652
Screenshot of issue in IE 8

This is what I see in IE 8. It does not happen on every page load however. Only intermitently.

Attached:

An update to hopefully assist with this. It's apparently an IE thing having to do with the javascript being used. Not sure which is causing the problem - Wikieditor, Header Tabs, or Semantic Forms.

It appears that fields with "editor=wikieditor"on the first tab work just dandy. It's the 2nd and so on where this issue arises.

Removing editor=wikieditor or moving those fields to the first tab alleviate the problem. My console in IE 9 shows the following error:

LOG: exception thrown by user callback
Error: Incorrect function.

IE 9, Windows 7, MW 1.25wmf10, Semantic Mediawiki 2.1, Semantic Forms 3.0, Wikieditor (master), Header Tabs 1.0.1

Yaron_Koren renamed this task from Semantic Forms not liking HeaderTabs to Semantic Forms, HeaderTabs and WikiEditor not working together well with IE.Apr 27 2015, 4:04 PM
Yaron_Koren set Security to None.
Aklapper removed Yaron_Koren as the assignee of this task.Sep 2 2015, 3:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 2 2015, 3:54 PM
Yaron_Koren triaged this task as Low priority.Dec 21 2016, 9:06 PM
Yaron_Koren added a subscriber: Yaron_Koren.

I'm marking this as "Low" priority, given that (hopefully) it only happens with IE 9, which is from 2010.

TheDJ added a subscriber: TheDJ.

This was only with IE8/9 right ? So i guess it could be closed ?

I suppose... I don't know what the statute of limitations is for IE bugs.

Ckoerner closed this task as Resolved.Nov 30 2018, 5:00 PM
Ckoerner claimed this task.

I think 4 years and god knows how many newer version of IE is past the statute of limitations. :)

Yaron_Koren changed the task status from Resolved to Declined.Nov 30 2018, 5:54 PM